Loading ...
Sorry, an error occurred while loading the content.

still can't flush

Expand Messages
  • Will Fawcett
    Thank you duncan for your reply, I have upgraded to the latest version from www.zeegee.com and am running version Soaplite 0.65 Beta 2 and am still getting the
    Message 1 of 3 , Nov 1, 2004
    • 0 Attachment
      Thank you duncan for your reply, I have upgraded to the latest
      version from www.zeegee.com and am running version Soaplite 0.65
      Beta 2 and am still getting the same error message:

      soap:Client, Application failed during request deserialization:
      Something wrong with MIME message: MIME::Parser: can't flush:
      at /usr/lib/perl5/site_
      perl/5.8.0/MIME/Parser.pm line 789.

      I am using the sample code from
      http://www.majordojo.com/soaplite/docs/SOAP/Lite.html#ATTACHMENTS
      and it all looks very straight forward. My question is what system
      has this all been tested on? I am currently on a Red Hat 8 box with
      Apache 2.0.40.

      Also, if there are any other things to be aware of such as the
      requirement for the zeegee version of MimeTools. I am looking for
      anything that could be the issue. Is anyone else currently trying to
      work with attachments, I can't find any refference to attachments
      with soap lite with the exception of www.majordojo.com and here. I
      would greatly appreciate it if anyone could post tested code and
      what the code is working on. I am beginning to wonder if my Apache
      or Linux distro might be the problem.

      -Will
    • Duncan Cameron
      ... I think that you are still using the CPAN distribution of MIME::Tools. Line 789 of MIME::Parser in MIME-Tools-5.414 is $ENCODED- flush or die $ME: can t
      Message 2 of 3 , Nov 2, 2004
      • 0 Attachment
        At 2004-11-02, 05:54:12 Will Fawcett <nailism23@...> wrote:

        >
        >
        >Thank you duncan for your reply, I have upgraded to the latest
        >version from www.zeegee.com and am running version Soaplite 0.65
        >Beta 2 and am still getting the same error message:
        >
        >soap:Client, Application failed during request deserialization:
        >Something wrong with MIME message: MIME::Parser: can't flush:
        >at /usr/lib/perl5/site_
        >perl/5.8.0/MIME/Parser.pm line 789.
        >

        I think that you are still using the CPAN distribution of MIME::Tools.
        Line 789 of MIME::Parser in MIME-Tools-5.414 is
        $ENCODED->flush or die "$ME: can't flush: $!";
        which ties in with your error message.

        Check where you installed the new version of MIME::Tools and make sure that that directory is being searched first.
        If in doubt include this at the beginning of your code to see which version you are running. It should be 6.108

        print $MIME::Parser::VERSION;

        Duncan
      • Andrew Cooks
        ... I had the same problem at some point. In my case, it was caused by a half broken soaplite installation with missing dependencies, because I didn t pay
        Message 3 of 3 , Nov 2, 2004
        • 0 Attachment
          Will Fawcett wrote:
          >
          > Thank you duncan for your reply, I have upgraded to the latest
          > version from www.zeegee.com and am running version Soaplite 0.65
          > Beta 2 and am still getting the same error message:
          >
          > soap:Client, Application failed during request deserialization:
          > Something wrong with MIME message: MIME::Parser: can't flush:
          > at /usr/lib/perl5/site_
          > perl/5.8.0/MIME/Parser.pm line 789.
          >

          I had the same problem at some point. In my case, it was caused by a
          half broken soaplite installation with missing dependencies, because I
          didn't pay enough attention to the installation process.

          Hope that helps!

          Andrew
        Your message has been successfully submitted and would be delivered to recipients shortly.